<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">
	<!-- 	template="/template2/templateCustomer.xhtml" -->

	<!-- 	<ui:define name="title">all categories</ui:define> -->

	<!-- 	<ui:define name="pageContent"> -->
	<h:panelGrid columns="1">
		<h:form id="formlist">

			<h:dataTable rendered="#{not empty categoryBean.categories}"
				value="#{categoryBean.categories}" var="c" border="1">
				<f:facet name="header">
					<h:outputText value="all categories" />
				</f:facet>

				<h:column>
					<f:facet name="header">
						<h:outputText value="id" />
					</f:facet>
					<h:outputText value="#{c.id}" />
				</h:column>


				<h:column>
					<f:facet name="header">
						<h:outputText value="Category" />
					</f:facet>
					<h:outputText value="#{c.name}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="action" />
					</f:facet>
					<h:commandButton value="select">
						<f:setPropertyActionListener value="#{c}"
							target="#{categoryBean.category}" />

						<f:setPropertyActionListener value="true"
							target="#{categoryBean.displayForm}">
						</f:setPropertyActionListener>

					</h:commandButton>
				</h:column>
			</h:dataTable>
			<br />
			<h:commandButton action="#{categoryBean.doNew}" value="new" />


		</h:form>
	</h:panelGrid>
	<!-- 	</ui:define> -->

</ui:composition>
